package com.sw.mes.yb.pc.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.core.utils.RequestPage;
import com.sw.mes.yb.pc.entity.CrucibleCheckItem;
import org.springframework.data.jpa.domain.Specification;

import java.util.List;

public interface CrucibleCheckItemService extends BaseService<CrucibleCheckItem> {

    List<CrucibleCheckItem> findByExample(Specification<CrucibleCheckItem> specification, RequestPage page);

    void saveInBatch(List<CrucibleCheckItem> itemList);

    List<CrucibleCheckItem> findByParentId(Integer id);

    @Override
    List<CrucibleCheckItem> findAll();

    List<CrucibleCheckItem> findAllOrderByPriority();

    void deleteByParentId(Integer parentId);
}
